summaryrefslogtreecommitdiffstats
path: root/development/terraform
diff options
context:
space:
mode:
author Julian Grinblat2022-03-31 12:52:40 +0200
committer Willy Sudiarto Raharjo2022-04-02 13:18:57 +0200
commit07aed95e5c42ed76f87d7397e5de4b06edaff2be (patch)
tree545912092aa0b9d8480453f66d9515a32328bd2e /development/terraform
parent86eda01795b36ceb874d48cf4287bd7a7b89e794 (diff)
downloadslackbuilds-07aed95e5c42ed76f87d7397e5de4b06edaff2be.tar.gz
development/terraform: Added (IaC Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/terraform')
-rw-r--r--development/terraform/README4
-rw-r--r--development/terraform/slack-desc19
-rw-r--r--development/terraform/terraform.SlackBuild94
-rw-r--r--development/terraform/terraform.info10
4 files changed, 127 insertions, 0 deletions
diff --git a/development/terraform/README b/development/terraform/README
new file mode 100644
index 0000000000..c94072c75e
--- /dev/null
+++ b/development/terraform/README
@@ -0,0 +1,4 @@
+Terraform is an open-source infrastructure as code software tool
+created by HashiCorp. It enables users to define and provision a
+datacenter infrastructure using a high-level configuration language
+known as Hashicorp Configuration Language, or optionally JSON.
diff --git a/development/terraform/slack-desc b/development/terraform/slack-desc
new file mode 100644
index 0000000000..dd6952065f
--- /dev/null
+++ b/development/terraform/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+terraform: terraform (tool for building, changing, and versioning infrastructure)
+terraform:
+terraform: Terraform is an open-source infrastructure as code software tool
+terraform: created by HashiCorp. It enables users to define and provision a
+terraform: datacenter infrastructure using a high-level configuration language
+terraform: known as Hashicorp Configuration Language, or optionally JSON.
+terraform:
+terraform:
+terraform: Homepage: https://www.terraform.io/
+terraform:
+terraform:
diff --git a/development/terraform/terraform.SlackBuild b/development/terraform/terraform.SlackBuild
new file mode 100644
index 0000000000..37795cb07a
--- /dev/null
+++ b/development/terraform/terraform.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/bash
+
+# Slackware build script for terraform
+
+# Copyright 2022 Julian Grinblat <julian@dotcore.co.il>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=terraform
+VERSION=${VERSION:-1.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+XC_OS=linux
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ x86_64) XC_ARCH=amd64 ;;
+ i586) XC_ARCH=386 ;;
+ *) XC_ARCH=$ARCH ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+GOPATH=$TMP/go
+mkdir -p $GOPATH
+
+PATH=$PATH:$GOPATH/bin \
+GOPATH=$GOPATH \
+XC_ARCH=$XC_ARCH \
+XC_OS=$XC_OS \
+TF_RELEASE=1 \
+./scripts/build.sh
+
+install -D -m 0755 bin/terraform $PKG/usr/bin/terraform
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md LICENSE README.md CODEOWNERS docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/terraform/terraform.info b/development/terraform/terraform.info
new file mode 100644
index 0000000000..19d3176cc9
--- /dev/null
+++ b/development/terraform/terraform.info
@@ -0,0 +1,10 @@
+PRGNAM="terraform"
+VERSION="1.1.7"
+HOMEPAGE="https://www.terraform.io/"
+DOWNLOAD="https://github.com/hashicorp/terraform/archive/v1.1.7/terraform-1.1.7.tar.gz"
+MD5SUM="880cea671a5c5e8bfb230760ea3f1750"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Julian Grinblat"
+EMAIL="julian@dotcore.co.il"